### Class

# Hinoko FwIsoIrMultiple

#### Description [src]

    class Hinoko.FwIsoIrMultiple : GObject.Object
      implements Hinoko.FwIsoCtx {
      /* No available fields */
    }

An object to receive isochronous packet for several channels. `HinokoFwIsoIrMultiple` receives isochronous packets for several channels by buffer-fill mode of IR context in 1394 OHCI.

#### Ancestors

- GObject

#### Implements

- HinokoFwIsoCtx

#### Constructors

###### hinoko_fw_iso_ir_multiple_new

Instantiate `HinokoFwIsoIrMultiple` object and return the instance.

#### Instance methods

###### hinoko_fw_iso_ir_multiple_allocate

Allocate an IR context to 1394 OHCI hardware for buffer-fill mode. A local node of the node corresponding to the given path is used as the hardware, thus any path is accepted as long as process has enough permission for the path.

###### hinoko_fw_iso_ir_multiple_get_payload

Retrieve data for packet indicated by the index parameter. The data has isochronous packet header in its first quadlet, timestamp in its last quadlet. The rest is data of isochronous packet.

since: 0.7

###### hinoko_fw_iso_ir_multiple_map_buffer

Map an intermediate buffer to share payload of IR context with 1394 OHCI hardware.

###### hinoko_fw_iso_ir_multiple_start

Start IR context.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from HinokoFwIsoCtx (6)

###### hinoko_fw_iso_ctx_create_source

Create `GSource` for `GMainContext` to dispatch events for isochronous context.

since: 0.7

###### hinoko_fw_iso_ctx_flush_completions

Flush isochronous context until recent isochronous cycle. The call of function forces the context to queue any type of interrupt event for the recent isochronous cycle. Application can process the content of isochronous packet without waiting for actual hardware interrupt.

since: 0.7

###### hinoko_fw_iso_ctx_read_cycle_time

Retrieve the value of cycle time register. This method call is available once any isochronous context is created.

since: 1.0

###### hinoko_fw_iso_ctx_release

Release the context from 1394 OHCI hardware.

since: 0.7

###### hinoko_fw_iso_ctx_stop

Stop isochronous context.

since: 0.7

###### hinoko_fw_iso_ctx_unmap_buffer

Unmap intermediate buffer shared with 1394 OHCI hardware for the context.

since: 0.7

#### Properties

###### Hinoko.FwIsoIrMultiple:channels

The array with elements to express isochronous channels to be listened to.

##### Properties inherited from HinokoFwIsoCtx (2)

###### HinokoFwIsoCtx:bytes-per-chunk

The number of bytes per chunk in buffer.

since: 0.7

###### HinokoFwIsoCtx:chunks-per-buffer

The number of chunks per buffer.

since: 0.7

#### Signals

###### Hinoko.FwIsoIrMultiple::interrupted

Emitted when Linux FireWire subsystem generates interrupt event. There are two cases for Linux FireWire subsystem to generate the event:.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from HinokoFwIsoCtx (1)

###### HinokoFwIsoCtx::stopped

Emitted when isochronous context is stopped.

since: 0.7

#### Class structure

    struct HinokoFwIsoIrMultipleClass {
      GObjectClass parent_class;
      void (* interrupted) (
        HinokoFwIsoIrMultiple* self,
        guint count
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`interrupted: void (* interrupted) ( HinokoFwIsoIrMultiple* self, guint count )`

  No description available.

#### Virtual methods

###### Hinoko.FwIsoIrMultipleClass.interrupted

Class closure for the `HinokoFwIsoIrMultiple::interrupted`.